Package org.eclipse.net4j.db.ddl.delta

# Interface IDBDeltaVisitor

All Known Implementing Classes:
  `IDBDeltaVisitor.Copier`, `IDBDeltaVisitor.Default`, `IDBDeltaVisitor.Filter`

public interface IDBDeltaVisitor

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`IDBDeltaVisitor.Copier`
`static class`
`IDBDeltaVisitor.Default`
`static class`
`IDBDeltaVisitor.Filter`
`static final class`
`IDBDeltaVisitor.StopRecursion`

## Method Summary

Modifier and Type
Method
Description
`void`
`visit(IDBFieldDelta delta)`
`void`
`visit(IDBIndexDelta delta)`
`void`
`visit(IDBIndexFieldDelta delta)`
`void`
`visit(IDBPropertyDelta<?> delta)`
`void`
`visit(IDBSchemaDelta delta)`
`void`
`visit(IDBTableDelta delta)`

## Method Details

### visit

void visit(IDBSchemaDelta delta)

### visit

void visit(IDBTableDelta delta)

### visit

void visit(IDBFieldDelta delta)

### visit

void visit(IDBIndexDelta delta)

### visit

void visit(IDBIndexFieldDelta delta)

### visit

void visit(IDBPropertyDelta<?> delta)